Page MenuHomePhabricator

[mips][microMIPS] Delay slot filler modifications
ClosedPublic

Authored by hvarga on Mar 15 2016, 6:00 AM.

Details

Summary

This patch skips delay slot filler optimization for microMIPSr6.

microMIPS32r6 and microMIPS64r6 do not have any instructions for which the delay slot is needed. But the current delay slot filler implementation doesn't care about this fact. This patch optimizes this by breaking out from the MIPS delay slot filler functionality if the CPU is microMIPSr6.

Diff Detail

Repository
rL LLVM

Event Timeline

hvarga updated this revision to Diff 50716.Mar 15 2016, 6:00 AM
hvarga retitled this revision from to [mips][microMIPS] Delay slot filler modifications.
hvarga updated this object.
hvarga added subscribers: llvm-commits, petarj.
dsanders accepted this revision.Mar 16 2016, 4:00 AM
dsanders edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 16 2016, 4:00 AM

This patch implements the microMIPSr6 delay slot filler optimization

Nit: You may want to say "this patch skips delay slot filler optimization for microMIPSr6".

hvarga updated this object.Mar 23 2016, 3:32 AM
hvarga edited edge metadata.
This revision was automatically updated to reflect the committed changes.